<?php

include '../Include/xplanetbg.inc.php';

$hintergrundbild = "xplanet xpb xp". $xplanet_bg . " b" . $xplanet_bg . ".123"; /* Ist eigentlich kein Bild mehr, sondern eine "class" */
$description = "A differend kind of redistribution: with Freigeld (circulation safeguard) there would no longer be the giant flows of interest from the poor to the rich, which repeatedly cause whole states to collapse.";
$keywords=", Schulden, Finanzkrise, Wirtschaftskrise, Umverteilung";
$titel = "The redistribution with Freigeld (circulation safeguard)";
$root = "../";

$css = "
 table.daten input { width:2.5rem; }
 div.daten, img.wborder {border-width:1px;border-color:white;border-style:solid;margin:0.5em; }
 blockquote {font-style:italic;margin-bottom:0.6em;}
 img.rechtsBild, img.linksBild {border-color:white;}

 td.ergebnis, td.nergebnis, td.pergebnis { width:3em; }
 td.ergebnis { color:black;}
 td.nergebnis { color:red;}
 td.pergebnis { color:green;}
 ";

if (!function_exists('svg_embed')){
  include $root . 'Include/svg_embed.inc';
}

/* Name der tatsächlichen Inhaltsdatei: */
$filename = __FILE__;

$ietext = '<div>Your web browser is too old! With <a href="http://en.wikipedia.org/wiki/Internet_Explorer_9" title="Internet Explorer article in Wikipedia">version 9</a> (early 2011?) even the <i>Internet Explorer</i> can finally do what other browsers like <a href="http://firefox.com/" title="recommended browser">Firefox</a>, Opera,or Safari can already do it for years: display <a href="http://en.wikipedia.org/wiki/Scalable_Vector_Graphics" title="SVG explained">SVG</a>.</div>';

if ($_POST['anwenden']) {
  /*  $v = $_POST['v'];
  for ($i = 0; $i < (10); $i++)
  $v[$i] = $_POST['v']['$i']; */
  $zeige_summen = $_POST['zeige_summen'] == TRUE;
  $haushalte_pro_gruppe = floatval($_POST['haushalte_pro_gruppe']);
  $umlaufsicherung = $_POST['umlaufsicherung'] / 100;
  $liquid_anteil = $_POST['liquid_anteil'] / 100;
  reset($_POST);
  $ea[1] = floatval(current($_POST));
  for ($i = 2; $i <= 10; $i++)  
      $ea[$i] = floatval(next($_POST));
  for ($i = 1; $i <= 10; $i++)  
      $a[$i] = floatval(next($_POST));
}
else
{
  /* Total income: */
  /*  $e = array(1 => 12, 19, 24, 28, 32, 38, 43, 49, 59, 101); */
  /* Wages / salaries: */
  $ea = array(1 => 12, 19, 24, 27.9, 31.5, 35.7, 38.2, 41.1, 45, 50);
  /* Expenses: */
  $a = array(1 => 13, 20, 24, 27, 30, 35, 36, 37, 38, 40);
  $haushalte_pro_gruppe = 3.8;
  $liquid_anteil = 0.5;
  $umlaufsicherung = 0.12;
  $zeige_summen = FALSE;
};


/* Einnahmen, Ersparnisse und Umlaufsicherung berechnen: */
$umlauf_summe = 0;
for ($i = 1; $i <= 10; $i++){
  $as[$i] = $ea[$i] * $liquid_anteil * $umlaufsicherung;
  $umlauf_summe += $as[$i];
}

$grundeinkommen = $umlauf_summe / 10;

for ($i = 1; $i <= 10; $i++){
  $e[$i] = $ea[$i] + $grundeinkommen;  
  $s[$i] = $e[$i] - $a[$i];
}

/* Die Summen für die Gruppen werden nur berechnet, wenn sie gezeigt werden sollen */
if ($zeige_summen){
  $v_gruppensumme = '<tr style="font-style:italic;">
<td class="xpw">in Mrd € je Gruppe</td>';
  $e_gruppensumme = $v_gruppensumme;
  $s_gruppensumme = $v_gruppensumme;
  $a_gruppensumme = $v_gruppensumme;
  $z_gruppensumme = $v_gruppensumme;
  for ($j = 1; $j <= 10; $j++){
    $e_gruppensumme = $e_gruppensumme . '<td>' . round($e[$j] * $haushalte_pro_gruppe, 1) . '</td>';
    $s_gruppensumme = $s_gruppensumme . '<td>' . round($s[$j] * $haushalte_pro_gruppe, 1) . '</td>';
    $a_gruppensumme = $a_gruppensumme . '<td>' . round($a[$j] * $haushalte_pro_gruppe, 1) . '</td>';
    $saldo = ($ez[$j] - $az[$j]) * $haushalte_pro_gruppe;
    $z_gruppensumme = $z_gruppensumme . '<td class="' . ($saldo >= 0? 'p' : 'n') . 'ergebnis">' . round($saldo, 1) . '</td>';   
  }
  $z_gruppensumme = $z_gruppensumme . '</tr>';
  $e_gruppensumme = $e_gruppensumme . '</tr>';
  $s_gruppensumme = $s_gruppensumme . '</tr>';
}

for ($i = 1; $i <= 10; $i++){
  $e_summe += $e[$i]; /* nicht die Summe aller Einkommen... */
  $s_summe += $s[$i]; /* nicht die Summe aller Ersparnisse... */
  $a_summe += $a[$i]; /* nicht die Summe aller Ausgaben... */
}

for ($i = 1; $i <= 10; $i++){
  $v_gruppeneink =  $v_gruppeneink . '<td><input name="v' . $i . '" type="text" maxlength="4" value="' . $v[$i] . '"></td>';
  $e_gruppenprozent = $e_gruppenprozent . '<td>' . round(($e[$i] / $e_summe * 100), 1) . '</td>'; 
  $e_grund = $e_grund . '<td>' . round($grundeinkommen, 1) . '</td>';   
  $e_arbeit = $e_arbeit . '<td><input name="ea' . $i . '" type="text" maxlength="4" value="' . $ea[$i] . '"></td>';
  $e_gruppeneink = $e_gruppeneink . '<td>' . round($e[$i], 1) . '</td>';   
  $s_gruppenprozent = $s_gruppenprozent . '<td>' . round(($s[$i] / $s_summe * 100), 1) . '</td>'; 
  $s_gruppeneink = $s_gruppeneink .  '<td class="ergebnis">' . round($s[$i], 1) . '</td>';
  $a_gruppenprozent = $a_gruppenprozent . '<td>' . round(($a[$i] / $a_summe * 100), 1) . '</td>'; 
  $a_gruppenausg = $a_gruppenausg .  '<td><input name="a' . $i . '" type="text" maxlength="4" value="' . $a[$i] . '"></td>';
  $a_sicherung = $a_sicherung .  '<td>' . round($as[$i], 1) . '</td>';
}

/* Umlaufsaldenberechnung */
for ($k = 1; $k <= 10; $k++){
  $saldo = $grundeinkommen - $as[$k];
  $saldosumme += $saldo;
  $umlaufsaldo = $umlaufsaldo . '<td class="' . ($saldo >= 0? 'p' : 'n') . 'ergebnis">' . round($saldo, 1) . '</td>';   
}


/* Parameter für Visualisierung */
for ($k = 1; $k <= 10; $k++){
  $parameter = $parameter . "&amp;e$k=" . $e[$k] . "&amp;a$k=" . $a[$k] . "&amp;z$k=" . $grundeinkommen . "&amp;l$k=" . $as[$k];
}

$text = $text . '

<form method="post" action="index.en.php" accept-charset="utf-8">

<h2>Distribution of household incomes:</h2>

<table class="daten">
<tr>
  <th>Group</th>
  <th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th><th>9</th><th>10</th>
</tr>
<tr>
  <td>in % per group</td>' .
  $e_gruppenprozent . '
</tr>
<tr>
  <td title="basic income in thousand € per household">basic income</td>' .
  $e_grund . '  
</tr>
<tr>
  <td title="Wages etc / in thousand € per household">other inc.</td>' .
  $e_arbeit . '
</tr>
<tr>
  <td title="in thousand € per household">in k € / housh.</td>' .
  $e_gruppeneink . '
</tr>' .
  $e_gruppensumme . '
</table>

<h2>Distribution of household expenses:</h2>

<table class="daten">
<tr>
  <th>Group</th>
  <th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th><th>9</th><th>10</th>
</tr>
<tr>
  <td>in % per group</td>' .
  $a_gruppenprozent . '
</tr>
<tr>
  <td title="in thousand € per household">in k € / househ.</td>' .
  $a_gruppenausg . '
</tr>
<tr>
  <td title="Circulation safeguard in thousand € per household">incl. safeguard</td>' .
  $a_sicherung . '  
</tr>' .
  $a_gruppensumme . '
</table>

<h2>Distribution of annual savings:</h2>

<table>
<tr>
  <th>Gruppe</th>
  <th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th><th>9</th><th>10</th>
</tr>
<tr>
  <td>in % per group</td>' .
  $s_gruppenprozent . '
</tr>
<tr class="xpw">
  <td title="in thousand € per household">in k € / househ.</td>' .
  $s_gruppeneink . '
</tr>' .
  $s_gruppensumme . '
</table>

<h2>Redistribution through circulation safeguard (Freigeld):</h2>

<table>
<tr>
  <th>Group</th>
  <th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th><th>9</th><th>10</th>
</tr>
<tr>
  <td title="annual burden from circulation safeguard in thousand € per household">Burden<small> (in k € / hh.)</small></td>' .
  $a_sicherung . '
</tr>
<tr>
  <td title="annual basic income (from the circulation safeguard) in thousand € per household">Income<small> (in k € / hh.)</small></td>' .
  $e_grund . '
</tr>
<tr class="xpw">
  <td title="annual circulation safeguard balance in thousand € per household">Safeguard balance<small> (in k € / hh.)</small></td>' .
  $umlaufsaldo . '  
</tr>'
. $u_gruppensumme . '
</table>

<h3>Settings:</h3>

<div style="float:left;"><input type="submit" value="Anwenden" name="anwenden" title="Calculates the redistribution according to the user input"></div>

<div style="margin-left:6em;margin-top:0em;">
<br><a href="#freigeld" title="&dArr; Jump to the explaining paragraph">Circulation safeguard</a>: <input name="umlaufsicherung" type="text" size="3" maxlength="4" title="Values from 6 to 12% (annually) are probably sensible" value="' . $umlaufsicherung * 100 . '">%
&nbsp; <a href="#liquidity" title="&dArr; Jump to the explaining paragraph">Liquid asset rate</a>: <input name="liquid_anteil" type="text" size="3" maxlength="4" title="Values around 50% are probably sensible" value="' . $liquid_anteil * 100 . '">%
<br>show <i>group sums</i>: <input name="zeige_summen" type="checkbox" '. ($zeige_summen ? 'checked ' : '') . 'title="little additional information">
&nbsp; households per group (in mill.): <input name="haushalte_pro_gruppe" type="text" size="4" maxlength="5" title="only relevant when group sums are displayed" value="' . $haushalte_pro_gruppe . '">
</div>
</form>

<div style="width:90%;margin:auto;margin-top:1em;margin-bottom:1em;color:black;" class="daten xpw">'
 . svg_embed("redistribution.php?titel=Redistribution_with_Freigeld" . $parameter, "redistribution.png", "100%", "", "475", "305", "Graph", $ietext, '', "", "", 0) . '</div>

<p>All numbers used in the calculations can be modified through the input fields! The basis of this page is my <a href="../redistribution/" title="The steady flow of interest causes a MASSIVE redistribution of wealth">redistribution calculator</a>, which is to show the redistribution inherent in our current monetary system. This page instead is showing the redistribution as it should look like if Germany was to introduce Freigeld, a money with a circulation safeguard. Of course Germany is just an example: any country in the world would do. The principle is universial - only the preset values for assets (irrelevant with Freigeld), incomes, and for the population would differ. The preset values for the “lower” income groups in this page are realistic data, while I had to raise the “non-interest” income of the upper income groups, so that the group order remains ascending. This kind of redistribution should also take place at the <a href="http://freimarkt.org/" title="An only marketplace with Freigeld">Freimarkt</a>. Most striking in the comparison between this (Freigeld) redistribution and the interest redistribution is how much straighter and more transparent this system is. The accumulated assets no longer play their crucial role, because Freigeld causes the interest rate to approximate zero (see interest rate graph below). Generally, there is much less redistribution. Especially the “middle classes”, who in Capitalism carry the heaviest burden, are completely freed. The total number of households that pay and households that benefit is balanced in this system (wheres in Germany&lsquo;s current “welfare capitalism” only the richest and poorest ten to twenty percent benefit).</p>

'

. svg_embed("interest_steps2.svg", "interest_steps2.png", "30em", "", "410", "328", "Interest steps", $ietext, '', "float:right;margin:1em;clear:both;", " class='xpw'", 0) .

'
<p id="freigeld">The <i>circulation safeguard</i> is a “liquidity fee“. When due (here the annual rate is used, but discounting 1/12 of that monthly would yield the same result) all cash is reduced by this rate (e.g. via stamps on banknotes or money exchange you have to pay for; electronic money could be handled more conveniently).
</p>

<p id="liquidity">The <i>liquid asset rate</i> denotes the amount of their annual income the households are supposed to keep liquid (in cash or on their checking bank account). A value around 50% seems justified, at least for the highter income groups (which matter more in this regard) because short and mid-term invests would still yield “interest” below zero.</p>

<p><small>The savings are calculated as “incomes” - “expenses”.</small></p>

<p><small>The <a href="source.tgz">source codes</b> of <i>this page</i> and the corresponding <i>SVG graph</i> can be accessed and reused.</small></p>

';

include '../Include/layoutE.inc.php';

?>
